'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _modules = require('./modules');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const app = async () => {
  // show script intro
  (0, _modules.welcomeMessage)();

  // ask questions
  const answers = await (0, _modules.askQuestions)();
  const { FILENAME, EXTENSION } = answers;

  // create the file
  const filePath = (0, _modules.createFile)(FILENAME, EXTENSION);

  // show success message
  console.log(_chalk2.default.white.bgGreen.bold(`Done! File created at ${filePath}`));
};

exports.default = app;